package com.casic.missiles.modular.system.enmus;


import com.casic.missiles.core.enums.ExportExcelEnum;
import com.casic.missiles.core.util.SpringContextHolder;
import com.casic.missiles.modular.config.SluicewellServerProperties;

public enum SluicewellExportEnum implements ExportExcelEnum {

    SLUICEWELLDATA_EXPORT("sluicewell.xlsx", "sluicewell.xlsx", "闸井数据");

    private String fileTempPath;
    private String fileName;
    private String description;

    SluicewellExportEnum(String fileTempPath, String fileName, String description) {
        this.fileTempPath = SpringContextHolder.getBean(SluicewellServerProperties.class).getExportPath().concat(fileTempPath);
        this.fileName = fileName;
        this.description = description;
    }

    @Override
    public String getFileTempPath() {
        return fileTempPath;
    }

    @Override
    public String getFileName() {
        return fileName;
    }

    @Override
    public String getDescription() {
        return description;
    }
}
